/*  Ddbg - Win32 Debugger for the D programming language
 *  Copyright (c) 2007 Jascha Wetzel
 *  All rights reserved. See LICENSE.TXT for details.
 */

module codeview.symboldb;

import codeview.codeview;
import codeview.coff;

abstract class SymbolDatabase
{
    COFFImage[] images;

    void addImage(COFFImage image);
    void removeImage(COFFImage image);
	Location findLocation(uint vaddress);

}
